Holger's Java API

## com.antelmann.crm
Interface Person

All Superinterfaces:
  Addressable, Contact, DBEntry, DetailedString, Enabled, Imageable, LifeCycleObject, Serializable

All Known Implementing Classes:
  GPerson, PersonImpl

    public interface Person

extends Contact

represents the role of a person

Since:
  22.10.2008, 16:56:16
Author:
  Holger Antelmann

Nested Class Summary
`static class` `Person.Gender`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Method Summary
`Date` `getBirthday()`
`String` `getFamilyName()`
`String` `getFirstName()`
`Person.Gender` `getGender()`
`String` `getMiddleName()`
`String` `getNickname()`
`String` `getPersonTitle()`

Methods inherited from interface com.antelmann.crm.Contact
`add, getContactName, getContactNotes, getMoreAddresses, removeAddress`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.crm.Addressable
`getAddress`

Methods inherited from interface com.antelmann.util.DetailedString
`toDetailedString`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.image.Imageable
`getDisplayIcon, getDisplayImage`

Methods inherited from interface com.antelmann.util.Enabled
`isEnabled, setEnabled`

Method Detail

### getBirthday

    Date getBirthday()

### getGender

    Person.Gender getGender()

### getPersonTitle

    String getPersonTitle()

### getFirstName

    String getFirstName()

### getFamilyName

    String getFamilyName()

### getMiddleName

    String getMiddleName()

### getNickname

    String getNickname()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads